org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class TakeWhileStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.TakeWhileStageVerification

    public class TakeWhileStageVerification
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `TakeWhileStageVerification.ProcessorVerification`

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `takeWhileShouldCancelUpStreamWhenDone()`
`void` `takeWhileShouldIgnoreSubsequentErrorsWhenDone()`
`void` `takeWhileStageShouldBeReusable()`
`void` `takeWhileStageShouldEmitEmpty()`
`void` `takeWhileStageShouldHandleErrors()`
`void` `takeWhileStageShouldTakeWhileConditionIsTrue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### takeWhileStageShouldTakeWhileConditionIsTrue

    public void takeWhileStageShouldTakeWhileConditionIsTrue()

#### takeWhileStageShouldEmitEmpty

    public void takeWhileStageShouldEmitEmpty()

#### takeWhileShouldCancelUpStreamWhenDone

    public void takeWhileShouldCancelUpStreamWhenDone()

#### takeWhileShouldIgnoreSubsequentErrorsWhenDone

    public void takeWhileShouldIgnoreSubsequentErrorsWhenDone()

#### takeWhileStageShouldHandleErrors

    public void takeWhileStageShouldHandleErrors()

#### takeWhileStageShouldBeReusable

    public void takeWhileStageShouldBeReusable()